#include "my_start.hpp"

int n_ok_requests = 0;
int n_fail_requests = 0;
std::chrono::system_clock::time_point start_timestamp;

void my_start() {
    n_ok_requests = 0;
    n_fail_requests = 0;
    start_timestamp = std::chrono::system_clock::now();

    auto now = std::chrono::system_clock::now();
    auto now_time_t = std::chrono::system_clock::to_time_t(now);
    auto now_ms = std::chrono::duration_cast<std::chrono::milliseconds>(now.time_since_epoch()) % 1000;

    std::cout << "Starting DosAtk at " << std::put_time(std::localtime(&now_time_t), "%Y-%m-%d %H:%M:%S")
    << "." << std::setfill('0') << std::setw(3) << now_ms.count() << std::endl;
}